### Method

# Ide Debugger emit_thread_added

#### Declaration

    void
    ide_debugger_emit_thread_added (
      IdeDebugger* self,
      IdeDebuggerThread* thread
    )

#### Description

Emits the `IdeDebugger::thread-added` signal notifying that a new thread has been added to the inferior.

Available since: | 3.32

#### Parameters

`thread` | `IdeDebuggerThread`
| An `IdeDebuggerThread`.
| The data is owned by the caller of the function.